Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366754 - [GSS] (6.4.z) Session locking timeout not honored
Summary: [GSS] (6.4.z) Session locking timeout not honored
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering
Version: 6.4.6
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: CR1
: EAP 6.4.11
Assignee: Radoslav Husar
QA Contact: Michal Vinkler
URL:
Whiteboard:
Depends On:
Blocks: 1368280 1370648 eap6411-payload
TreeView+ depends on / blocked
 
Reported: 2016-08-12 17:27 UTC by dereed
Modified: 2017-01-17 13:08 UTC (History)
8 users (show)

Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 13:08:56 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1233400 None None None Never

Internal Links: 1233400

Description dereed 2016-08-12 17:27:20 UTC
When SharedLocalYieldingClusterLockManager#lock fails to get a lock it does not update the timeout correctly, so it continues to loop longer than it should.

This is from BZ 993041, where it removed an exception so it will retry, but failed to reset the timeout in that case (which wasn't needed when it threw an exception).

Comment 7 Jiří Bílek 2016-10-05 08:56:13 UTC
Verified with EAP 6.4.11.CP.CR1

Comment 8 Petr Penicka 2017-01-17 13:08:56 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.


Note You need to log in before you can comment on or make changes to this bug.